post
https://uat-partner.payu.in/api/api/v1/merchants//verify
The Verify and Link Merchant API is used to:
- Used to link an existing merchant account to a partner account
- Authorized via client token generated using Client ID and Client Secret
The merchant ID in the request header must be included as a query parameter in the midfield.
Note:The access token with the scope as refer_merchant is required on the header. For more information on getting the access token, refer to User Token APIs.
Environment
| Test Environment | https://uat-partner.payu.in/api/v3/merchants |
| Production Environment | https://partner.payu.in/api/v3/merchants |
Sample request
curl --location --request POST 'https://test-partner.payu.in/api/v1/merchants/720043/verify' \
--header 'Authorization: Bearer w0282c38b64e072f3d66e4e6efee9789ffe1250f0cd04c20753d6e6f25df9cc7' \
--form 'checksum="20a63e957430787affb22c897ef5d919bdd3245945aa3d725ef2cd9e5f6f38e949aa6d471c2f6369d980e1d5d0ee8bff66444838409e09bf6b73aa7cf614670e"' \
--form 'merchant_key="rpt4fzcr"'
Sample response
{
"message": "Successfully linked to the Partner"
}
